Software Update Configurations - Get By Name
Get a single software update configuration by name.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Automation/automationAccounts/{automationAccountName}/softwareUpdateConfigurations/{softwareUpdateConfigurationName}?api-version=2024-10-23
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
automation
|
path | True |
string |
The name of the automation account. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 pattern: ^[-\w\._]+$ |
Name of an Azure Resource group. |
|
software
|
path | True |
string |
The name of the software update configuration to be created. |
|
subscription
|
path | True |
string |
Gets subscription credentials which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
api-version
|
query | True |
string |
Client Api Version. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| clientRequestId |
string |
Identifies this specific client request. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
A single software update configuration. |
|
| Other Status Codes |
Automation error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Get software update configuration by name
Sample request
GET https://management.azure.com/subscriptions/51766542-3ed7-4a72-a187-0c8ab644ddab/resourceGroups/mygroup/providers/Microsoft.Automation/automationAccounts/myaccount/softwareUpdateConfigurations/mypatch?api-version=2024-10-23
Sample response
{
"name": "testpatch",
"id": "/subscriptions/51766542-3ed7-4a72-a187-0c8ab644ddab/resourceGroups/mygroup/providers/Microsoft.Automation/automationAccounts/myaccount/softwareUpdateConfigurations/testpatch",
"properties": {
"updateConfiguration": {
"operatingSystem": "Windows",
"windows": {
"includedUpdateClassifications": "Critical",
"excludedKbNumbers": [
"168934",
"168973"
]
},
"linux": {},
"targets": {
"azureQueries": [
{
"scope": [
"/subscriptions/422b6c61-95b0-4213-b3be-7282315df71d/resourceGroups/a-stasku-rg0",
"/subscriptions/422b6c61-95b0-4213-b3be-7282315df71d"
],
"tagSettings": {
"tags": {
"tag1": [
"tag1Value1",
"tag1Value2"
],
"tag2": [
"tag2Value1",
"tag2Value2"
]
},
"filterOperator": "All"
},
"locations": null
}
]
},
"duration": "PT2H",
"azureVirtualMachines": [
"/subscriptions/5ae68d89-69a4-454f-b5ce-e443cc4e0067/resourceGroups/myresources/providers/Microsoft.Compute/virtualMachines/vm-01",
"/subscriptions/5ae68d89-69a4-454f-b5ce-e443cc4e0067/resourceGroups/myresources/providers/Microsoft.Compute/virtualMachines/vm-02",
"/subscriptions/5ae68d89-69a4-454f-b5ce-e443cc4e0067/resourceGroups/myresources/providers/Microsoft.Compute/virtualMachines/vm-03"
],
"nonAzureComputerNames": [
"box1.contoso.com",
"box2.contoso.com"
]
},
"scheduleInfo": {
"description": "",
"startTime": "2017-10-19T12:22:00-07:00",
"startTimeOffsetMinutes": -420,
"expiryTime": "2018-11-09T11:22:00-08:00",
"expiryTimeOffsetMinutes": -480,
"isEnabled": true,
"nextRun": "2017-10-19T12:22:00-07:00",
"nextRunOffsetMinutes": -420,
"interval": 1,
"frequency": "Week",
"creationTime": "2017-10-19T18:54:50.5233333+00:00",
"lastModifiedTime": "2017-10-19T18:54:50.5233333+00:00",
"timeZone": "America/Los_Angeles"
},
"tasks": {
"preTask": {
"source": "HelloWorld",
"parameters": {
"COMPUTERNAME": "Computer1"
}
},
"postTask": {
"source": "GetCache",
"parameters": null
}
},
"provisioningState": "Provisioning",
"createdBy": "eve@contoso.com",
"error": {},
"creationTime": "2017-10-19T18:54:50.5233333+00:00",
"lastModifiedBy": "",
"lastModifiedTime": "2017-10-19T18:54:50.68+00:00"
}
}
Definitions
| Name | Description |
|---|---|
|
Advanced |
The properties of the create Advanced Schedule. |
|
Advanced |
The properties of the create advanced schedule monthly occurrence. |
|
Azure |
Azure query for the update configuration. |
|
Error |
Error response of an operation failure |
|
Linux |
Linux specific update configuration. |
|
Linux |
Update classifications included in the software update configuration. |
|
Non |
Non Azure query for the update configuration. |
|
Operating |
operating system of target machines |
|
Schedule |
Day of the occurrence. Must be one of monday, tuesday, wednesday, thursday, friday, saturday, sunday. |
|
Schedule |
Gets or sets the frequency of the schedule. |
|
software |
Software update configuration properties. |
|
software |
Task properties of the software update configuration. |
|
SUCSchedule |
Definition of schedule parameters. |
|
Tag |
Filter VMs by Any or All specified tags. |
|
Tag |
Tag filter information for the VM. |
|
Target |
Group specific to the update configuration. |
|
task |
Task properties of the software update configuration. |
|
update |
Update specific properties of the software update configuration. |
|
Windows |
Windows specific update configuration. |
|
Windows |
Update classification included in the software update configuration. A comma separated string with required values |
AdvancedSchedule
The properties of the create Advanced Schedule.
| Name | Type | Description |
|---|---|---|
| monthDays |
integer[] (int32) |
Days of the month that the job should execute on. Must be between 1 and 31. |
| monthlyOccurrences |
Occurrences of days within a month. |
|
| weekDays |
string[] |
Days of the week that the job should execute on. |
AdvancedScheduleMonthlyOccurrence
The properties of the create advanced schedule monthly occurrence.
| Name | Type | Description |
|---|---|---|
| day |
Day of the occurrence. Must be one of monday, tuesday, wednesday, thursday, friday, saturday, sunday. |
|
| occurrence |
integer (int32) |
Occurrence of the week within the month. Must be between 1 and 5 |
AzureQueryProperties
Azure query for the update configuration.
| Name | Type | Description |
|---|---|---|
| locations |
string[] |
List of locations to scope the query to. |
| scope |
string[] |
List of Subscription or Resource Group ARM Ids. |
| tagSettings |
Tag settings for the VM. |
ErrorResponse
Error response of an operation failure
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code |
| message |
string |
Error message indicating why the operation failed. |
LinuxProperties
Linux specific update configuration.
| Name | Type | Description |
|---|---|---|
| excludedPackageNameMasks |
string[] |
packages excluded from the software update configuration. |
| includedPackageClassifications |
Update classifications included in the software update configuration. |
|
| includedPackageNameMasks |
string[] |
packages included from the software update configuration. |
| rebootSetting |
string |
Reboot setting for the software update configuration. |
LinuxUpdateClasses
Update classifications included in the software update configuration.
| Value | Description |
|---|---|
| Unclassified | |
| Critical | |
| Security | |
| Other |
NonAzureQueryProperties
Non Azure query for the update configuration.
| Name | Type | Description |
|---|---|---|
| functionAlias |
string |
Log Analytics Saved Search name. |
| workspaceId |
string |
Workspace Id for Log Analytics in which the saved Search is resided. |
OperatingSystemType
operating system of target machines
| Value | Description |
|---|---|
| Windows | |
| Linux |
ScheduleDay
Day of the occurrence. Must be one of monday, tuesday, wednesday, thursday, friday, saturday, sunday.
| Value | Description |
|---|---|
| Monday | |
| Tuesday | |
| Wednesday | |
| Thursday | |
| Friday | |
| Saturday | |
| Sunday |
ScheduleFrequency
Gets or sets the frequency of the schedule.
| Value | Description |
|---|---|
| OneTime | |
| Day | |
| Hour | |
| Week | |
| Month | |
| Minute |
The minimum allowed interval for Minute schedules is 15 minutes. |
softwareUpdateConfiguration
Software update configuration properties.
| Name | Type | Description |
|---|---|---|
| id |
string |
Resource Id. |
| name |
string |
Resource name. |
| properties.createdBy |
string |
CreatedBy property, which only appears in the response. |
| properties.creationTime |
string (date-time) |
Creation time of the resource, which only appears in the response. |
| properties.error |
Details of provisioning error |
|
| properties.lastModifiedBy |
string |
LastModifiedBy property, which only appears in the response. |
| properties.lastModifiedTime |
string (date-time) |
Last time resource was modified, which only appears in the response. |
| properties.provisioningState |
string |
Provisioning state for the software update configuration, which only appears in the response. |
| properties.scheduleInfo |
Schedule information for the Software update configuration |
|
| properties.tasks |
Tasks information for the Software update configuration. |
|
| properties.updateConfiguration |
update specific properties for the Software update configuration |
|
| type |
string |
Resource type |
softwareUpdateConfigurationTasks
Task properties of the software update configuration.
| Name | Type | Description |
|---|---|---|
| postTask |
Post task properties. |
|
| preTask |
Pre task properties. |
SUCScheduleProperties
Definition of schedule parameters.
| Name | Type | Default value | Description |
|---|---|---|---|
| advancedSchedule |
Gets or sets the advanced schedule. |
||
| creationTime |
string (date-time) |
Gets or sets the creation time. |
|
| description |
string |
Gets or sets the description. |
|
| expiryTime |
string (date-time) |
Gets or sets the end time of the schedule. |
|
| expiryTimeOffsetMinutes |
number (double) |
Gets or sets the expiry time's offset in minutes. |
|
| frequency |
Gets or sets the frequency of the schedule. |
||
| interval |
integer (int64) |
Gets or sets the interval of the schedule. |
|
| isEnabled |
boolean |
False |
Gets or sets a value indicating whether this schedule is enabled. |
| lastModifiedTime |
string (date-time) |
Gets or sets the last modified time. |
|
| nextRun |
string (date-time) |
Gets or sets the next run time of the schedule. |
|
| nextRunOffsetMinutes |
number (double) |
Gets or sets the next run time's offset in minutes. |
|
| startTime |
string (date-time) |
Gets or sets the start time of the schedule. |
|
| startTimeOffsetMinutes |
number (double) |
Gets the start time's offset in minutes. |
|
| timeZone |
string |
Gets or sets the time zone of the schedule. |
TagOperators
Filter VMs by Any or All specified tags.
| Value | Description |
|---|---|
| All | |
| Any |
TagSettingsProperties
Tag filter information for the VM.
| Name | Type | Description |
|---|---|---|
| filterOperator |
Filter VMs by Any or All specified tags. |
|
| tags |
object |
Dictionary of tags with its list of values. |
TargetProperties
Group specific to the update configuration.
| Name | Type | Description |
|---|---|---|
| azureQueries |
List of Azure queries in the software update configuration. |
|
| nonAzureQueries |
List of non Azure queries in the software update configuration. |
taskProperties
Task properties of the software update configuration.
| Name | Type | Description |
|---|---|---|
| parameters |
object |
Gets or sets the parameters of the task. |
| source |
string |
Gets or sets the name of the runbook. |
updateConfiguration
Update specific properties of the software update configuration.
| Name | Type | Description |
|---|---|---|
| azureVirtualMachines |
string[] |
List of azure resource Ids for azure virtual machines targeted by the software update configuration. |
| duration |
string (duration) |
Maximum time allowed for the software update configuration run. Duration needs to be specified using the format PT[n]H[n]M[n]S as per ISO8601 |
| linux |
Linux specific update configuration. |
|
| nonAzureComputerNames |
string[] |
List of names of non-azure machines targeted by the software update configuration. |
| operatingSystem |
operating system of target machines |
|
| targets |
Group targets for the software update configuration. |
|
| windows |
Windows specific update configuration. |
WindowsProperties
Windows specific update configuration.
| Name | Type | Description |
|---|---|---|
| excludedKbNumbers |
string[] |
KB numbers excluded from the software update configuration. |
| includedKbNumbers |
string[] |
KB numbers included from the software update configuration. |
| includedUpdateClassifications |
Update classification included in the software update configuration. A comma separated string with required values |
|
| rebootSetting |
string |
Reboot setting for the software update configuration. |
WindowsUpdateClasses
Update classification included in the software update configuration. A comma separated string with required values
| Value | Description |
|---|---|
| Unclassified | |
| Critical | |
| Security | |
| UpdateRollup | |
| FeaturePack | |
| ServicePack | |
| Definition | |
| Tools | |
| Updates |